Module javafx.graphics
Package javafx.scene.layout

## Enum Priority

- java.lang.Object
- - java.lang.Enum<Priority>
  - - javafx.scene.layout.Priority

- All Implemented Interfaces:
    `Serializable`, `Comparable<Priority>`, `Constable`

      public enum Priority
      extends Enum<Priority>

  Enumeration used to determine the grow (or shrink) priority of a given node's layout area when its region has more (or less) space available and multiple nodes are competing for that space.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Layout area will always try to grow (or shrink), sharing the increase (or decrease) in space with other layout areas that have a grow (or shrink) of ALWAYS.
    `NEVER` | Layout area will never grow (or shrink) when there is an increase (or decrease) in space available in the region.
    `SOMETIMES` | If there are no other layout areas with grow (or shrink) set to ALWAYS or those layout areas didn't absorb all of the increased (or decreased) space, then will share the increase (or decrease) in space with other layout area's of SOMETIMES.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static Priority` | `max​(Priority a, Priority b)` | Convenience method for returning the higher of two priorities.
    `static Priority` | `min​(Priority a, Priority b)` | Convenience method for returning the lower of two priorities.
    `static Priority` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Priority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final Priority ALWAYS

      Layout area will always try to grow (or shrink), sharing the increase (or decrease) in space with other layout areas that have a grow (or shrink) of ALWAYS.

    - #### SOMETIMES

          public static final Priority SOMETIMES

      If there are no other layout areas with grow (or shrink) set to ALWAYS or those layout areas didn't absorb all of the increased (or decreased) space, then will share the increase (or decrease) in space with other layout area's of SOMETIMES.

    - #### NEVER

          public static final Priority NEVER

      Layout area will never grow (or shrink) when there is an increase (or decrease) in space available in the region.

  - ### Method Detail

    - #### values

          public static Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Priority valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### max

          public static Priority max​(Priority a,
                                     Priority b)

      Convenience method for returning the higher of two priorities.
      Parameters:
        `a` - first priority
        `b` - second priority
      Returns:
        the highest of the two priorities

    - #### min

          public static Priority min​(Priority a,
                                     Priority b)

      Convenience method for returning the lower of two priorities.
      Parameters:
        `a` - first priority
        `b` - second priority
      Returns:
        the lower of the two priorities